POST api/Strata/SearchStructure
Search Structures, Structure Spec parameter is optional if not passed it returns all Structures, if any of spec passed it will filter the result accordingly. Example: api/Strata/SearchStructure?StructureType=2
Request Information
URI Parameters
None.
Body Parameters
SiteSpec| Name | Description | Type | Additional information |
|---|---|---|---|
| SearchCountryID | string |
None. |
|
| SearchSiteStatusID | integer |
None. |
|
| UserIDResponsible | globally unique identifier |
None. |
|
| SearchStructureTypeID | integer |
None. |
|
| ShowHiddenStructures | boolean |
None. |
|
| SearchShowHidden | boolean |
None. |
|
| selectedValue | integer |
None. |
|
| ModuleID | integer |
None. |
|
| ActionID | integer |
None. |
|
| _firstLoad | boolean |
None. |
|
| SearchString | string |
None. |
|
| SearchRegionID | integer |
None. |
|
| SearchCompanyID | integer |
None. |
|
| SearchSiteID | integer |
None. |
|
| SearchDeptID | Collection of integer |
None. |
|
| SearchSiteFinancialMonth | integer |
None. |
|
| SearchSiteStartDayOfWeek | integer |
None. |
|
| SearchSiteShiftStart | integer |
None. |
|
| SearchSiteTimezone | string |
None. |
|
| SearchSiteTimezoneToday | string |
None. |
|
| Layout | integer |
None. |
|
| Override | boolean |
None. |
|
| GetData | boolean |
None. |
|
| ixPage | integer |
None. |
|
| ixPageSize | integer |
None. |
|
| nextRecordOnly | boolean |
None. |
|
| _isAlreadyPaged | boolean |
None. |
|
| _totalCount | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"SearchCountryID": "sample string 1",
"SearchSiteStatusID": 2,
"UserIDResponsible": "3275c3ad-2d06-4c9f-bf78-2c8bba0a2d3d",
"SearchStructureTypeID": 3,
"ShowHiddenStructures": true,
"SearchShowHidden": true,
"selectedValue": 6,
"ModuleID": 7,
"ActionID": 8,
"_firstLoad": true,
"SearchString": "sample string 10",
"SearchRegionID": 11,
"SearchCompanyID": 12,
"SearchSiteID": 13,
"SearchDeptID": [
1,
2
],
"SearchSiteFinancialMonth": 14,
"SearchSiteStartDayOfWeek": 15,
"SearchSiteShiftStart": 16,
"SearchSiteTimezone": "sample string 17",
"SearchSiteTimezoneToday": "sample string 18",
"Layout": 19,
"Override": true,
"GetData": true,
"ixPage": 22,
"ixPageSize": 23,
"nextRecordOnly": true,
"_isAlreadyPaged": true,
"_totalCount": 26
}
application/xml, text/xml
Sample:
<SiteSpec xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Strata.Data">
<_isAlreadyPaged>true</_isAlreadyPaged>
<_totalCount>26</_totalCount>
<ixPage>22</ixPage>
<ixPageSize>23</ixPageSize>
<nextRecordOnly>true</nextRecordOnly>
<GetData>true</GetData>
<Layout>19</Layout>
<Override>true</Override>
<SearchCompanyID>12</SearchCompanyID>
<SearchDeptID xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</SearchDeptID>
<SearchRegionID>11</SearchRegionID>
<SearchSiteFinancialMonth>14</SearchSiteFinancialMonth>
<SearchSiteID>13</SearchSiteID>
<SearchSiteShiftStart>16</SearchSiteShiftStart>
<SearchSiteStartDayOfWeek>15</SearchSiteStartDayOfWeek>
<SearchSiteTimezone>sample string 17</SearchSiteTimezone>
<SearchSiteTimezoneToday>sample string 18</SearchSiteTimezoneToday>
<SearchString>sample string 10</SearchString>
<_firstLoad>true</_firstLoad>
<ActionID>8</ActionID>
<ModuleID>7</ModuleID>
<SearchShowHidden>true</SearchShowHidden>
<SearchStructureTypeID>3</SearchStructureTypeID>
<ShowHiddenStructures>true</ShowHiddenStructures>
<selectedValue>6</selectedValue>
<SearchCountryID>sample string 1</SearchCountryID>
<SearchSiteStatusID>2</SearchSiteStatusID>
<UserIDResponsible>3275c3ad-2d06-4c9f-bf78-2c8bba0a2d3d</UserIDResponsible>
</SiteSpec>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Json Data
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.